#include <stdio.h>
#include <string.h>
/*----------------------------------------------------------------------------*/
typedef struct tagBITMAPFILEHEADER {    /* bmfh */
	long	bfSize;
	long	bfReserved;
	long	bfOffBits;
	long	biSize;
	long	biWidth;
	long	biHeight;
	long	biPlanes_biBitCount;
	long	biCompression;
	long	biSizeImage;
	long	biXPelsPerMeter;
	long	biYPelsPerMeter;
	long	biClrUsed;
	long	biClrImportant;
} BITMAPINFOHEADER;
/*----------------------------------------------------------------------------*/
typedef struct tagRGBQUAD {     /* rgbq */
	char	rgbBlue;
	char	rgbGreen;
	char	rgbRed;
	char	rgbReserved;
} RGBQUAD;
/*----------------------------------------------------------------------------*/
BITMAPINFOHEADER bmp =
{
	0,
	0,
	1078,
	40,
	0,
	0,
	0x00080001,
	0,
	0,
	0,
	0,
	0,
	0
};
/*----------------------------------------------------------------------------*/
main(int argc, char **argv)
{
	int i;
	if( argc<3 )
		return 0;

	for ( i=1; i<argc; i++ ) {
		char sig[2];
		FILE *fp = fopen(argv[i], "r");
		fread(sig, 2, 1, fp);
		fread(&bmp, sizeof(bmp), 1, fp);
		fclose(fp);
		if ( sig[0] != 'B' || sig[1] != 'M' ) continue;
		printf("%s: %dx%d\n", argv[i], bmp.biWidth, -bmp.biHeight);
	}
}
/*----------------------------------------------------------------------------*/
